Loading ...
Sorry, an error occurred while loading the content.

Problem installing CUPS on DS-101j

Expand Messages
  • hfledevehat
    Hello, I tried to install CUPS optware using ipkg on DS-101j but it chokes on libstdc++ dependency which is already installed (see log below). Anybody managed
    Message 1 of 1 , Jul 30, 2006
    • 0 Attachment
      Hello,

      I tried to install CUPS optware using ipkg on DS-101j but it chokes on
      libstdc++ dependency which is already installed (see log below).

      Anybody managed to install CUPS properly ?


      DiskStation> ipkg install cups
      Installing cups (1.1.23-6) to root...
      Downloading
      http://ipkg.nslu2-linux.org/feeds/optware/ds101/cross/stable/cups_1.1.23-6_armeb.ipk
      Nothing to be done
      An error ocurred, return value: 1.
      Collected errors:
      ERROR: Cannot satisfy the following dependencies for cups:
      libstdc++

      DiskStation> ls -l /lib/libstdc*
      -rwxr-xr-x 1 root root 6747838 Jul 27 13:55 /lib/libstdc++.a
      lrwxrwxrwx 1 root root 14 Jul 27 14:00
      /lib/libstdc++.so -> libstdc++.so.6
      -rwxr-xr-x 1 root root 844288 Jan 23 2006
      /lib/libstdc++.so.5
      lrwxrwxrwx 1 root root 18 Jul 27 14:00
      /lib/libstdc++.so.6 -> libstdc++.so.6.0.3
      -rwxr-xr-x 1 root root 3875688 Jul 27 13:55
      /lib/libstdc++.so.6.0.3
      -rwxr-xr-x 1 root root 844288 Jul 27 13:50
      /lib/libstdc++.so.org
    Your message has been successfully submitted and would be delivered to recipients shortly.